Get a contact

Retrieve one contact.

GEThttps://app.usenotix.dev/api/v1/contactBooks/{contactBookId}/contacts/{contactId}

Full access and read only keys can call this. Sending access keys cannot. Key permissions lists the extra rules some calls have.

Retrieve one contact.

Path parameters

contactBookIdstringrequired
contactIdstringrequired

Headers

Authorizationstringrequired

Bearer followed by your API key.

curl -X GET "https://app.usenotix.dev/api/v1/contactBooks/<contactBookId>/contacts/<contactId>" \
  -H "Authorization: Bearer $NOTIX_API_KEY"
Response200
{
  "id": "cm1x8f3k20001qz7v5b9d2e4a",
  "email": "customer@example.com",
  "properties": {},
  "contactBookId": "cm1x8f3k20001qz7v5b9d2e4a",
  "createdAt": "string",
  "updatedAt": "string"
}
Open in ClaudeOpen in ChatGPT